Bug 186480 - If a wireless network card is determined to be unable to handle creating an adhoc network, it should tell the user
If a wireless network card is determined to be unable to handle creating an a...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Williams
bzcl34nup
: Desktop
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-23 14:55 EST by Suzanne Hillman
Modified: 2008-05-06 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 11:37:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Suzanne Hillman 2006-03-23 14:55:31 EST
Description of problem:
If a wireless network card is determined to be unable to handle creating an
adhoc network, it should tell the user. Apparently the message in
/var/log/messages "Activation (dev17652/wireless): association took too long
(>20s), failing activation" indicates that is the case.

Version-Release number of selected component (if applicable):
NetworkManager-0.6.0-3

How reproducible:
Always, with appropriate hardware

Steps to Reproduce:
1. Find a card which cannot handle creating an adhoc wireless network (eg, the
default one in the Sony Vaio in DesktopQA, which looks to be ipw2200, Intel
PRO/wireless 2200BG), with FC5 Gold on it, and with the necessary firmware on it
2. Verify that the card is working by connecting to a wireless network.
3. Use the "Create new wireless network" option to try to create an adhoc network.
  
Actual results:
Fails with "Activation (dev17652/wireless): association took too long (>20s),
failing activation" in /var/log/messages, but just fails silently as far as a
regular user is concerned.

Expected results:
Should tell the user that their card does not support this activity, and
preferably disable the ability to even try to create a new wireless network with
this particular card.

Additional info:
Comment 1 Aric 2006-04-03 15:33:50 EDT
I think this bug might be named incorrectly.  I have an ipw2200 on my laptop,
and I use ad-hoc connections at home all the time.  The problem with
NetworkManager is that it apparently doesn't support ad-hoc mode.  If I use it
to connect to an ad-hoc network, something keeps switching the mode to managed.
 If I manually change it back (iwconfig eth1 mode ad-hoc), it works for a while
until something changes it back to managed.
Comment 2 petrosyan 2008-03-10 23:25:40 EDT
Fedora Core 5 is no longer maintained. Is this bug still present in Fedora 7 or
Fedora 8?
Comment 3 Bug Zapper 2008-04-03 22:13:18 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 4 Bug Zapper 2008-05-06 11:37:13 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.